Bug 1414735 (CVE-2017-2583)

Summary: CVE-2017-2583 Kernel: Kvm: vmx/svm potential privilege escalation inside guest
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, arm-mgr, bhu, dhoward, fhrbata, gansalmon, iboverma, ichavero, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slong, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170112,reported=20170110,source=researcher,cvss2=4.9/AV:A/AC:M/Au:S/C:P/I:P/A:P,cvss3=6.4/CVSS:3.0/AV:A/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H,cwe=CWE-250,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,rhel-7/kernel-rt=affected,mrg-2/realtime-kernel=notaffected,rhelsa-7/arm-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Linux kernel built with the Kernel-based Virtual Machine (CONFIG_KVM) support was vulnerable to an incorrect segment selector(SS) value error. The error could occur while loading values into the SS register in long mode. A user or process inside a guest could use this flaw to crash the guest, resulting in DoS or potentially escalate their privileges inside the guest.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:05:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1414736, 1414742, 1414743, 1414744, 1414745    
Bug Blocks: 1412139    

Description Prasad J Pandit 2017-01-19 10:51:11 UTC
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable an incorrect segment selector(SS) value error. It could occur
loading values into SS register in long mode. 

A user/process inside guest could use this flaw to crash the guest resulting
in DoS or potentially escalate their privileges inside guest.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/33ab91103b3415e12457e3104f0e4517ce12d0f3

Note: On Intel CPUs it'd corrupt the guest state resulting in DoS; Whereas on
      AMD CPUs it could potentially escalate privileges inside guest.

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/19/2

Comment 1 Prasad J Pandit 2017-01-19 10:51:40 UTC
Acknowledgments:

Name: Xiaohan Zhang (Huawei Inc.)

Comment 2 Prasad J Pandit 2017-01-19 10:53:57 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1414736]

Comment 3 Prasad J Pandit 2017-01-19 10:58:27 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 7. Future kernel updates for Red Hat Enterprise Linux 7
may address this issue.

Comment 7 errata-xmlrpc 2017-06-28 17:04:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1615 https://access.redhat.com/errata/RHSA-2017:1615

Comment 8 errata-xmlrpc 2017-06-28 17:08:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1616 https://access.redhat.com/errata/RHSA-2017:1616